#ifndef __ABAC_CERT_UTIL_H__
#define __ABAC_CERT_UTIL_H__

#include <sys/types.h>

#include <credentials/certificates/certificate.h>
#include <credentials/certificates/x509.h>
#include <credentials/keys/private_key.h>

extern char *cert_get_keyid(certificate_t *cert);
extern certificate_t *cert_get_id_cert_from_file(char *filename);
extern certificate_t *cert_get_id_cert_from_chunk(chunk_t chunk);
extern certificate_t *cert_get_id_cert_from_pem_chunk(chunk_t chunk);
extern certificate_t *cert_get_attr_cert_from_file(char *filename);
extern certificate_t *cert_get_attr_cert_from_chunk(chunk_t chunk);

#endif /* __ABAC_CERT_UTIL_H__ */
